import request from '@/utils/request'

// 查询农事任务列表
export function listTasks(query) {
  return request({
    url: '/base/tasks/list',
    method: 'get',
    params: query
  })
}

// 查询农事任务详细
export function getTasks(id) {
  return request({
    url: '/base/tasks/' + id,
    method: 'get'
  })
}

// 新增农事任务
export function addTasks(data) {
  return request({
    url: '/base/tasks',
    method: 'post',
    data: data
  })
}

// 修改农事任务
export function updateTasks(data) {
  return request({
    url: '/base/tasks',
    method: 'put',
    data: data
  })
}

// 删除农事任务
export function delTasks(id) {
  return request({
    url: '/base/tasks/' + id,
    method: 'delete'
  })
}
